/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package servervoitureapp;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author ppisz
 */
public class ServerVoitureApp {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        Voiture maLeaf = new Voiture();
        System.out.println("Serveur à l'écoute");
        try (
                ServerSocket serverSocket = new ServerSocket(8000);
                Socket clientSocket = serverSocket.accept();
                PrintWriter out = new PrintWriter(clientSocket.getOutputStream(), true);
                BufferedReader in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));) {
            System.out.println("Client connecté: " + clientSocket.toString());
            String commande;
            int retour;
            while ((commande = in.readLine()) != null) {
                //System.out.println("Message reçu : " + commande);
                switch (commande) {
                    case "D":
                        retour = maLeaf.demarrer();
                        if (retour == 0) {
                            out.println("DOK");
                        } else {
                            out.println("DNOK");
                        }
                        break;
                    case "A":
                        retour = maLeaf.accelerer();
                        switch (retour) {
                            case 0:
                                out.println("A" + maLeaf.getVitesse());
                                break;
                            case -1:
                                out.println("A-1");
                                break;
                            case -2:
                                out.println("A-2");
                                break;
                        }
                        break;
                    case "R":
                        retour = maLeaf.ralentir();
                        if (retour == 0) {
                            out.println("R" + maLeaf.getVitesse());                            
                        }
                        else {
                            out.println("R-1");
                        }
                        break;
                    case "S":
                        retour = maLeaf.arreter();
                        if (retour == 0) {
                            out.println("SOK");
                        } else {
                            out.println("SNOK");
                        }
                        break;
                    default:
                        out.println("NOK");
                }
            }
        } catch (IOException e) {
            System.out.println("Erreur : " + e.getMessage());
        }
    }

}
